Skip to navigation

Create Redirects Export Job

Creates a new 301 Redirects export job.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

Data necessary to create a new 301 Redirects export job.
site_idinteger or nullOptional
The site ID for which you wish to export redirects. If no site ID is provided, the request exports all redirects for all sites.
redirect_idslist of integersOptionalDefaults to []
A list of the redirect IDs you wish to export. If no redirect IDs are provided, the request exports all redirects for the given site selection.
include_dynamic_target_urlsbooleanOptionalDefaults to false

If true, the exported CSV will contain an additional read-only column containing the target URL for dynamic redirects.

Response

Created
idstringOptional

Errors

409
Conflict Error
429
Too Many Requests Error